Bug Hunting Session
Bug 67973 - UI: change option name from "Format" to "Page Number Format" in dialog Page styles
Summary: UI: change option name from "Format" to "Page Number Format" in dialog Page s...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA target:5.3.0
Keywords:
Depends on:
Blocks: 101820 Page-Dialog
  Show dependency treegraph
 
Reported: 2013-08-10 07:12 UTC by bugquestcontri
Modified: 2016-12-12 08:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot to illustrate enhancement request (21.55 KB, image/png)
2013-08-10 07:12 UTC, bugquestcontri
Details
Page dialog Format what? Page numbering... (20.51 KB, image/png)
2014-11-18 19:30 UTC, V Stuart Foote
Details
Page Numbering in Seperate Section (left) (54.47 KB, image/png)
2016-08-31 11:07 UTC, Muhammet Kara
Details
Page Numbering in Seperate Section (right) (54.37 KB, image/png)
2016-08-31 11:08 UTC, Muhammet Kara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2013-08-10 07:12:36 UTC
Created attachment 83916 [details]
Screenshot to illustrate enhancement request

Problem description: 

When someone needs to change the page number format it is - at least for a LibO beginner - a bit difficult to recognize "Format" as "Page Number Format" on the Page Style / Page tab.

Replace the word "Format" (see attachment) by "Page Number Format".

Background
I came across this matter when I answered

http://ask.libreoffice.org/en/question/21286/change-page-numbering-in-the-content-field/?answer=21302#post-id-21302

It Is only a minor enhancement but could be very important for beginners.
Operating System: All
Version: 4.0.4.2 release
Comment 1 retired 2013-08-10 16:22:10 UTC
Great request, absolutely agree. Easy to fix and big improvement of usability.

Setting to NEW.
Comment 2 V Stuart Foote 2013-08-11 13:45:45 UTC
Since it is located in the Layout settings area of the Format --> Page --> Page tab, using "Number Format" or "Numbering" would be more informative.

But including Page in its label seems redundant. Also would not fit the panel especially well.

In similar vein, would page numbering format be a good Sidebar Content Panel addition to the Writer Properties deck?
Comment 3 bugquestcontri 2013-08-18 14:35:55 UTC
I cannot comment on the Sidebar Control Panel because I have not used it yet. Will do soon as I just installed 4.1.0 portable.

As for "Number Format" vs "Page Number Format", I can see your logic. But you are an expert, I my concern are beginners. Sometimes a bit of redundancy can create a lot of help. Background: I am afraid that people click the Page tab without having clearly in mind that it is the page tab because they are searching (= being focused in their mind to) a page number format setting.
Comment 4 bugquestcontri 2014-06-20 13:48:06 UTC
Moved in the meantime to 4.2.4.2 and use sidebar heavily. Great feature is this sidebar.

Adding the page number format to the sidebar. Don't really think it is needed there.
Comment 5 Timur 2014-11-18 19:11:23 UTC
(In reply to V Stuart Foote from comment #2)
> Since it is located in the Layout settings area of the Format --> Page -->
> Page tab, using "Number Format" or "Numbering" would be more informative.
> 
> But including Page in its label seems redundant. Also would not fit the
> panel especially well.
>
> In similar vein, would page numbering format be a good Sidebar Content Panel
> addition to the Writer Properties deck?

I agree with all you wrote. Just to find someone to do it :)
Comment 6 V Stuart Foote 2014-11-18 19:30:24 UTC
Created attachment 109690 [details]
Page dialog Format what? Page numbering...

@Jay, @Kendy, @Adolpho, *,

As we press on with Toolbar and Menu UI cleanup, perhaps start looking at UI labeling in the dialogs.  Here is a good example...

Stuart
Comment 7 Yousuf Philips (jay) (retired) 2014-11-18 20:34:35 UTC
I've thought to report this multiple times, including the time i was working on the sidebar page tab (bug 83830), but alas never got around to doing it :D.

I've thought that 'Page Numbers' would be a good one to use, as it goes well with 'Page Layout' above it. 'Number Format' would also be an improvement, but dont think 'Numbering' is good because we use that for numbering lists.

I found it strange that it was listed under the 'Layout Settings' section when it has nothing to do with the actual position/layout of the numbers on the page. If anything, i'd assume it deserves its own section heading of 'Page Numbers' and then 'Format' or 'Style' as its label. It is important enough to have its own section IMHO, and users shouldnt have difficulties find it.
Comment 8 Muhammet Kara 2016-08-31 11:07:33 UTC
Created attachment 127089 [details]
Page Numbering in Seperate Section (left)
Comment 9 Muhammet Kara 2016-08-31 11:08:05 UTC
Created attachment 127090 [details]
Page Numbering in Seperate Section (right)
Comment 10 Muhammet Kara 2016-08-31 11:09:32 UTC
(In reply to Yousuf (Jay) Philips from comment #7)
> I've thought to report this multiple times, including the time i was working
> on the sidebar page tab (bug 83830), but alas never got around to doing it
> :D.
> 
> I've thought that 'Page Numbers' would be a good one to use, as it goes well
> with 'Page Layout' above it. 'Number Format' would also be an improvement,
> but dont think 'Numbering' is good because we use that for numbering lists.
> 
> I found it strange that it was listed under the 'Layout Settings' section
> when it has nothing to do with the actual position/layout of the numbers on
> the page. If anything, i'd assume it deserves its own section heading of
> 'Page Numbers' and then 'Format' or 'Style' as its label. It is important
> enough to have its own section IMHO, and users shouldnt have difficulties
> find it.

What do you think about the screenshots showing the Page Numbering in a separate section?
Comment 11 V Stuart Foote 2016-08-31 12:49:55 UTC
(In reply to Muhammet Kara from comment #10)
> What do you think about the screenshots showing the Page Numbering in a
> separate section?

In locals where it is enabled the Text Direction is active in the left column, so also adding the Page Numbering section to left column makes it a bit off-balance.

There is more room on right (depending on how large we scale the page preview), so believe adding to the right column would be cleaner--but might need to adjust widths for the drop downs and carry the alignment though the column.
Comment 12 Yousuf Philips (jay) (retired) 2016-08-31 14:07:39 UTC
(In reply to Muhammet Kara from comment #10)
> What do you think about the screenshots showing the Page Numbering in a
> separate section?

Page numbering on the right is the better option as it doesnt change height as much, as Stuart also agreed, and i would suggest it go above the 'Layout Settings' section.

@Heiko: What is your take?

Is the 'register-true' checkbox and reference style drop down really part of 'Layout Settings' or is the section an others section where stuff has been dumped in? If so, page numbering drop down should stay in the section and the heading label should likely be changed to 'Others' or something like that.
Comment 13 V Stuart Foote 2016-08-31 14:37:11 UTC
(In reply to Yousuf (Jay) Philips from comment #12)

> Is the 'register-true' checkbox and reference style drop down really part of
> 'Layout Settings' or is the section an others section where stuff has been
> dumped in? If so, page numbering drop down should stay in the section and
> the heading label should likely be changed to 'Others' or something like
> that.

Believe they are useful, if seldom used. They should remain.

Register true and related reference style are useful for controlling print alignment on double sided printing--they keep the lines of text "registered" to the same vertical grid so the page is more readable when printed (eliminates shadowing when reading the printed page.)

https://help.libreoffice.org/Writer/Printing_Register-true

And from the local help

Register-true 
Aligns the text on the selected Page Style to a vertical page grid. The spacing of the grid is defined by the Reference Style.

Reference Style 
Select the Paragraph Style that you want to use as a reference for lining up the text on the selected Page style. The height of the font that is specified in the reference style sets the spacing of the vertical page grid.
Comment 14 Heiko Tietze 2016-08-31 15:05:54 UTC
(In reply to Yousuf (Jay) Philips from comment #12)
> @Heiko: What is your take?

"Page numbers", for the current UI. Muhammet's separate section idea looks a little bit arbitrary but works as well wrt. wording.

And register-true is unclear even after the second thought.
Comment 15 Muhammet Kara 2016-09-01 07:01:37 UTC
It seems like there is no consensus on this. Nonetheless, all suggestions seem to be better than the current string. So I suggest to go with the current patch ("Page numbers")[0] for now, and move on if there is no objection.

[0] https://gerrit.libreoffice.org/#/c/28372/
Comment 16 Cor Nouws 2016-09-01 08:30:55 UTC
(In reply to Muhammet Kara from comment #9)
> Created attachment 127090 [details]
> Page Numbering in Seperate Section (right)

I like the idea, but looking at bug 101820 now.. maybe it's good to hold for a second with patching this issue?
Comment 17 Cor Nouws 2016-09-01 08:33:00 UTC
(In reply to V Stuart Foote from comment #13)
> (In reply to Yousuf (Jay) Philips from comment #12)
> 
> > Is the 'register-true' checkbox and reference style drop down really part of
> > [..]
> 
> Believe they are useful, if seldom used. They should remain.

It's indeed one of the qualities that Writer brings over word processors. And the function is therefore highly appreciated by its users.
Comment 18 Cor Nouws 2016-09-04 21:02:24 UTC
People here may want to look at attachment 127148 [details] from bug 101820
Comment 19 Commit Notification 2016-09-19 06:12:27 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=516c0608ba44a60abec3e0a67382e5bc7977316a

tdf#67973 UI: change option name from "Format" to "Page numbers"

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Muhammet Kara 2016-12-12 08:19:24 UTC
Seems solved. More enhancements for this dialog are discussed on bug 101820